#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void *xmalloc (size_t size)
{
	void *ptr;
	ptr = malloc (size);
	if (!ptr)
	{
		fprintf (stderr, "Out of memory\n");
		exit (1);
	}
	memset (ptr, 0, size);
	return ptr;
}

void *xrealloc (void *ptr, size_t size)
{
	ptr = realloc (ptr, size);
	if (!ptr)
	{
		fprintf (stderr, "Out of memory\n");
		exit (1);
	}
	return ptr;
}	
